org.apache.uima.resource.metadata.impl

## Class OperationalProperties_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.metadata.impl.OperationalProperties_impl

- All Implemented Interfaces:
    Serializable, Cloneable, MetaDataObject, OperationalProperties, XMLizable

      public class OperationalProperties_impl
      extends MetaDataObject_impl
      implements OperationalProperties

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationalProperties_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)` Initializes this object from its XML DOM representation.
    `boolean` | `getModifiesCas()` Gets whether this component will modify the CAS.
    `boolean` | `getOutputsNewCASes()` Gets whether this AnalysisEngine may output new CASes.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `boolean` | `isMultipleDeploymentAllowed()` Gets whether multiple instances of this component can be run in parallel, each receiving a subset of the documents from a collection.
    `void` | `setModifiesCas(boolean aModifiesCas)` Sets whether this component will modify the CAS.
    `void` | `setMultipleDeploymentAllowed(boolean aMultipleDeploymentAllowed)` Sets whether multiple instances of this component can be run in parallel, each receiving a subset of the documents from a collection.
    `void` | `setOutputsNewCASes(boolean aOutputsNewCASes)` Sets whether this AnalysisEngine may output new CASes.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationalProperties_impl

          public OperationalProperties_impl()

  - ### Method Detail

    - #### getModifiesCas

          public boolean getModifiesCas()

      Description copied from interface: `OperationalProperties`
      Gets whether this component will modify the CAS.
      Specified by:
        `getModifiesCas` in interface `OperationalProperties`
      Returns:
        true if this component modifies the CAS, false if it does not.

    - #### isMultipleDeploymentAllowed

          public boolean isMultipleDeploymentAllowed()

      Description copied from interface: `OperationalProperties`
      Gets whether multiple instances of this component can be run in parallel, each receiving a subset of the documents from a collection.
      Specified by:
        `isMultipleDeploymentAllowed` in interface `OperationalProperties`
      Returns:
        true if multiple instances can be run in parallel, false if not

    - #### setModifiesCas

          public void setModifiesCas(boolean aModifiesCas)

      Description copied from interface: `OperationalProperties`
      Sets whether this component will modify the CAS.
      Specified by:
        `setModifiesCas` in interface `OperationalProperties`
      Parameters:
        `aModifiesCas` - true if this component modifies the CAS, false if it does not.

    - #### setMultipleDeploymentAllowed

          public void setMultipleDeploymentAllowed(boolean aMultipleDeploymentAllowed)

      Description copied from interface: `OperationalProperties`
      Sets whether multiple instances of this component can be run in parallel, each receiving a subset of the documents from a collection.
      Specified by:
        `setMultipleDeploymentAllowed` in interface `OperationalProperties`
      Parameters:
        `aMultipleDeploymentAllowed` - true if multiple instances can be run in parallel, false if not

    - #### getOutputsNewCASes

          public boolean getOutputsNewCASes()

      Description copied from interface: `OperationalProperties`
      Gets whether this AnalysisEngine may output new CASes. If this property is set to true, an application can use the `AnalysisEngine.processAndOutputNewCASes(CAS)` to pass a CAS to this this AnalysisEngine and then step through all of the output CASes that it produces. For example, such an AnalysisEngine could segment a CAS into smaller pieces, emitting each as a separate CAS.
      Specified by:
        `getOutputsNewCASes` in interface `OperationalProperties`
      Returns:
        true if this component may output new CASes, false if it does not

    - #### setOutputsNewCASes

          public void setOutputsNewCASes(boolean aOutputsNewCASes)

      Description copied from interface: `OperationalProperties`
      Sets whether this AnalysisEngine may output new CASes. If this property is set to true, an application can use the `AnalysisEngine.processAndOutputNewCASes(CAS)` to pass a CAS to this this AnalysisEngine and then step through all of the output CASes that it produces. For example, such an AnalysisEngine could segment a CAS into smaller pieces, emitting each as a separate CAS.
      Specified by:
        `setOutputsNewCASes` in interface `OperationalProperties`
      Parameters:
        `aOutputsNewCASes` - true if this component may output new CASes, false if it does not

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

    - #### buildFromXMLElement

          public void buildFromXMLElement(Element aElement,
                                          XMLParser aParser,
                                          XMLParser.ParsingOptions aOptions)
                                   throws InvalidXMLException

      Description copied from class: `MetaDataObject_impl`
      Initializes this object from its XML DOM representation. This method is typically called from the `XMLParser`. It is overridden by specific Java impl classes to provide additional defaulting (e.g. see AnalysisEngineDescription_impl)
      Specified by:
        `buildFromXMLElement` in interface `XMLizable`
      Overrides:
        `buildFromXMLElement` in class `MetaDataObject_impl`
      Parameters:
        `aElement` - the XML element that represents this object.
        `aParser` - a reference to the UIMA `XMLParser`. The `XMLParser.buildObject(Element)` method can be used to construct sub-objects.
        `aOptions` - option settings
      Throws:
        `InvalidXMLException` - if the input XML element does not specify a valid object

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.